Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class JIPortletAuthenticationProcessingFilter

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.service.impl.JIPortletAuthenticationProcessingFilter

All Implemented Interfaces:
  javax.servlet.Filter, org.springframework.beans.factory.InitializingBean

    public class JIPortletAuthenticationProcessingFilter

extends java.lang.Object
implements javax.servlet.Filter, org.springframework.beans.factory.InitializingBean

Author:
  achan

Constructor Summary
`JIPortletAuthenticationProcessingFilter()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`java.util.List` | `getTrustedIpAddress()`
`UserAuthorityService` | `getUserService()`
`void` | `init(javax.servlet.FilterConfig arg0)`
`void` | `setTrustedIpAddress(java.util.List trustedIpAddress)`
`void` | `setUserService(UserAuthorityService userService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JIPortletAuthenticationProcessingFilter

    public JIPortletAuthenticationProcessingFilter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig arg0)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### getTrustedIpAddress

    public java.util.List getTrustedIpAddress()

### setTrustedIpAddress

    public void setTrustedIpAddress(java.util.List trustedIpAddress)

### getUserService

    public UserAuthorityService getUserService()

### setUserService

    public void setUserService(UserAuthorityService userService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.